# std::locale::operator==, operator!=

From cppreference.com
< cpp‎ | locale‎ | locale

Defined in header `<locale>` |  |
bool operator==( const locale& other ) const; | (1) |
bool operator!=( const locale& other ) const; | (2) |

Tests two locales for equality. Named locales are considered equal if their names are equal. Unnamed locales are considered equal if they are copies of each other.

### Parameters

other | - | a std::locale object to compare

### Return value

1) true if `other` is a copy of *this or has an identical name, false otherwise.

2) false if `other` is a copy of *this or has an identical name, true otherwise.

### Example

| This section is incomplete Reason: no example

### See also

(constructor) | constructs a new locale (public member function)
name | returns the name of the locale or "*" if unnamed (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/locale/locale/operator_cmp&oldid=58159"